package cn.iocoder.yudao.common;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 领料单/采购单/退料单状态
 *
 * @author 小李
 * @date 12:13 2024/10/21
**/
@AllArgsConstructor
@Getter
public enum SoStatusEnum {
    /** 待审核 */
    PENDING_REVIEW("01", "待审核"),

    /** 采购中 */
    PURCHASING("02", "采购中"),

    /** 已入库 */
    WAREHOUSING("03", "已入库"),

    /** 待领料 */
    TO_BE_PICKED("04", "待领料"),

    /** 已领料 */
    PICKED("05", "已领料"),

    /** 已作废 */
    DEPRECATED("06", "已作废"),

    /** 待退料 */
    TO_BE_RETURNED("07", "待退料"),

    /** 已退料 */
    RETURNED("08", "已退料");

    /** 状态值 */
    private final String code;

    /** 状态名 */
    private final String name;
}
